﻿package fita
{
	import flash.geom.Point;
	
	public class LeftSide extends TapeSide
	{
		public function LeftSide()
		{
			super();
		}
		
		override public function initLinePosition():void
		{
			line.x = -maxRay;
		}
		
		override protected function getLineCoordinate():Point
		{
			var outerCircleRay:Number = outerCircle.width / 2;
			var xDistance:Number = -line.x;
			var yDistance:Number = -line.getFinalPoint().y;
			var sqrtBase:Number = Math.pow(xDistance, 2) + Math.pow(yDistance, 2);
			var radianAngle:Number = 
					Math.acos(outerCircleRay / Math.sqrt(sqrtBase)) - Math.atan(yDistance / xDistance);
			return new Point(	maxRay - outerCircleRay * Math.cos(radianAngle),
											outerCircleRay * Math.sin(radianAngle));
		}
	}
}