﻿package galileu
{
	import flash.geom.Point;
	import flash.display.MovieClip;
	import flash.display.DisplayObject;
	import flash.display.DisplayObjectContainer;
	import flash.text.TextField;
	import flash.text.TextFieldType;
	import flash.text.TextFieldAutoSize;
    import flash.text.TextFormat;
	
	public class DrawingUtil
	{
		public static function bringToFront(_displayObject:DisplayObject):void
		{
			var myParent:DisplayObjectContainer = _displayObject.parent;
			
			if(myParent != null)
			{
				myParent.addChildAt(_displayObject, myParent.numChildren);
			}
		}
		
		public static function addMe(_movieClip:DisplayObject, _myParent:DisplayObjectContainer):void
		{
			if (!_myParent.contains(_movieClip))
				_myParent.addChild(_movieClip);
		}
		
		public static function removeUs(_movieClips:Array, _myParent:DisplayObjectContainer):void
		{
			for each(var dobObject:DisplayObject in _movieClips)
				removeMe(dobObject, _myParent);
		}
		
		public static function removeMe(_movieClip:DisplayObject, _myParent:DisplayObjectContainer=null):void
		{
			if (_myParent == null)
				_myParent = _movieClip.parent;
				
			if (_myParent != null && _myParent.contains(_movieClip))
				_myParent.removeChild(_movieClip);
		}
	}
}