﻿package fita
{
	import flash.geom.Point;
	
	public class Comparator
	{
		private static const ERROR_NUMBER:Number = .1;
		private static const ERROR_TO_ANGLE:Number = 3;
		
		public function Comparator()
		{
			
		}
		
		public static function equalsWithError(number1:Number, number2:Number, error:Number=ERROR_NUMBER):Boolean {
			return (Math.abs(number1 - number2) < error);
		}
		public static function equalAnglesWithError(number1:Number, number2:Number, error:Number=ERROR_TO_ANGLE):Boolean {
			number1 %= 360;
			number2 %= 360;
			if (((number1 + error) >= 360) && ((number2 + error) < 360))
				number1 = (number1 + error) % 360;
			else if (((number2 + error) >= 360) && ((number1 + error) < 360))
				number2 = (number2 + error) % 360;
				
			return (Math.abs(number1 - number2) < error);
		}
		
		public static function equalPointsWithError(point1:Point, point2:Point, error:Number=ERROR_NUMBER):Boolean {
			return Math.abs(point1.x - point2.x) < error && Math.abs(point1.y - point2.y) < error;
		}
	}
}